class Api::V1::ActivitiesController < ApplicationController
  before_action :set_activity, only: %i[show update destroy]
  before_action :check_login
  
  def index
    render json: Activity.all
  end

  def show
    render json: Activity.find(params[:id])
  end

  private

  # Only allow a trusted parameter "white list" through.
  def activity_params
    params.require(:user).permit(:name, :author_id, :description, :client)
  end

  def set_activity
    @activity = Activity.find(params[:id])
  end
end
