require "test_helper"

class Api::V1::ActivitiesControllerTest < ActionDispatch::IntegrationTest
  setup do
    @activity = activities(:one)
  end
  
  #INDEX
  test "should access index" do
    get api_v1_activities_url,
    headers: { Authorization: JsonWebToken.encode(user_id: @activity.author_id) },
    as: :json
    assert_response :success
  end

  test "should not access index" do
    get api_v1_activities_url, as: :json
    assert_response :forbidden
  end

  #SHOW
  test "should access show" do
    get api_v1_activity_url(@activity),
    headers: { Authorization: JsonWebToken.encode(user_id: @activity.author_id) },
    as: :json
    assert_response :success
  end

  test "should not access show" do
    get api_v1_activity_url(@activity),
    as: :json
    assert_response :forbidden
  end
end
